// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.objects;

import java.sql.ResultSet;
import java.sql.SQLException;

public class ZoneTemplate {

    public int templateID;
    public String zone_type;
    public String zone_name;
    public String peace_zone;

    public float major_radius;
    public float minor_radius;
    public float min_blend;
    public float max_blend;
    public String has_water;
    public String sea_level_type;
    public float sea_level;
    public String has_terrain;
    public String terrain_type;
    public float terrain_max_y;
    public int terrain_image;

    /**
     * ResultSet Constructor
     */

    public ZoneTemplate() {

    }

    public ZoneTemplate(ResultSet rs) throws SQLException {
        this.templateID = rs.getInt("template");
        this.zone_type = rs.getString("zone_type");
        this.zone_name = rs.getString("zone_name");
        this.major_radius = rs.getFloat("zone_major_radius");
        this.minor_radius = rs.getFloat("zone_minor_radius");
        this.min_blend = rs.getFloat("zone_min_blend");
        this.max_blend = rs.getFloat("zone_max_blend");
        this.has_water = rs.getString("zone_has_water");
        this.sea_level_type = rs.getString("zone_sea_level_type");
        this.sea_level = rs.getFloat("zone_sea_level");
        this.has_terrain = rs.getString("zone_has_terrain_gen");
        this.terrain_type = rs.getString("terrain_type");
        this.terrain_max_y = rs.getFloat("terrain_max_y");
        this.terrain_image = rs.getInt("terrain_image");
    }

}
